com.jnape.palatable.lambda.monoid.builtin

## Class PutAll

- java.lang.Object
- - com.jnape.palatable.lambda.monoid.builtin.PutAll

- All Implemented Interfaces:
    Fn1<HMap,Fn1<HMap,HMap>>, Fn2<HMap,HMap,HMap>, Applicative<Fn1<HMap,HMap>,Fn1<HMap,?>>, Cartesian<HMap,Fn1<HMap,HMap>,Fn1<?,?>>, Cocartesian<HMap,Fn1<HMap,HMap>,Fn1<?,?>>, Contravariant<HMap,Profunctor<?,Fn1<HMap,HMap>,Fn1<?,?>>>, Functor<Fn1<HMap,HMap>,Fn1<HMap,?>>, Profunctor<HMap,Fn1<HMap,HMap>,Fn1<?,?>>, Monad<Fn1<HMap,HMap>,Fn1<HMap,?>>, MonadReader<HMap,Fn1<HMap,HMap>,Fn1<HMap,?>>, MonadRec<Fn1<HMap,HMap>,Fn1<HMap,?>>, MonadWriter<HMap,Fn1<HMap,HMap>,Fn1<HMap,?>>, Monoid<HMap>, Semigroup<HMap>

      public final class PutAll
      extends Object
      implements Monoid<HMap>

  A `Monoid` instance formed by `HMap` that simply combines all the mappings.
  See Also:
    `Monoid`, `HMap`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HMap` | `checkedApply(HMap x, HMap y)`
    `HMap` | `identity()` The identity element of this monoid.
    `static PutAll` | `putAll()`
    `static Fn1<HMap,HMap>` | `putAll(HMap x)`
    `static HMap` | `putAll(HMap x, HMap y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monoid.Monoid

      `flip, foldLeft, foldMap, foldRight, monoid, monoid, reduceLeft, reduceRight`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, apply, checkedApply, compose, contraMap, curried, curry, diMapL, discardR, fn2, fromBiFunction, toBiFunction, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### identity

          public HMap identity()

      Description copied from interface: `Monoid`
      The identity element of this monoid.
      Specified by:
        `identity` in interface `Monoid<HMap>`
      Returns:
        the identity

    - #### checkedApply

          public HMap checkedApply(HMap x,
                                   HMap y)

      Specified by:
        `checkedApply` in interface `Fn2<HMap,HMap,HMap>`

    - #### putAll

          public static PutAll putAll()

    - #### putAll

          public static Fn1<HMap,HMap> putAll(HMap x)

    - #### putAll

          public static HMap putAll(HMap x,
                                    HMap y)